# pybudgea
see https://www.budget-insight.com/budgea-api

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 2.0
- Package version: 0.1.5
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/rienafairefr/pybudgea.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/rienafairefr/pybudgea.git`)

Then import the package:
```python
import budgea 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import budgea
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import budgea
from budgea.rest import ApiException
from pprint import pprint

configuration = budgea.Configuration()
# Configure API key authorization: Authorization
configuration.api_key['Authorization'] = 'YOUR_API_KEY'
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['Authorization'] = 'Bearer'

# Defining host is optional and default to http://demo.biapi.pro/2.0
configuration.host = "http://demo.biapi.pro/2.0"
# Create an instance of the API class
api_instance = budgea.AdministrationApi(budgea.ApiClient(configuration))
expand = 'expand_example' # str |  (optional)

try:
    # List clients
    api_response = api_instance.clients_get(expand=expand)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AdministrationApi->clients_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://demo.biapi.pro/2.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AdministrationApi* | [**clients_get**](docs/AdministrationApi.md#clients_get) | **GET** /clients | List clients
*AdministrationApi* | [**clients_id_client_delete**](docs/AdministrationApi.md#clients_id_client_delete) | **DELETE** /clients/{id_client} | Delete a client
*AdministrationApi* | [**clients_id_client_get**](docs/AdministrationApi.md#clients_id_client_get) | **GET** /clients/{id_client} | Get information about a client
*AdministrationApi* | [**clients_id_client_logo_delete**](docs/AdministrationApi.md#clients_id_client_logo_delete) | **DELETE** /clients/{id_client}/logo | Delete the client logo
*AdministrationApi* | [**clients_id_client_logo_post**](docs/AdministrationApi.md#clients_id_client_logo_post) | **POST** /clients/{id_client}/logo | Update the client logo
*AdministrationApi* | [**clients_id_client_put**](docs/AdministrationApi.md#clients_id_client_put) | **PUT** /clients/{id_client} | Update a client
*AdministrationApi* | [**clients_post**](docs/AdministrationApi.md#clients_post) | **POST** /clients | Create a client
*AdministrationApi* | [**config_get**](docs/AdministrationApi.md#config_get) | **GET** /config | Get configuration of the API.
*AdministrationApi* | [**config_logs_get**](docs/AdministrationApi.md#config_logs_get) | **GET** /config/logs | Get configuration change history of the API.
*AdministrationApi* | [**config_post**](docs/AdministrationApi.md#config_post) | **POST** /config | Set a configuration value on the API.
*AdministrationApi* | [**merchants_get**](docs/AdministrationApi.md#merchants_get) | **GET** /merchants | List clients
*AdministrationApi* | [**merchants_id_client_logo_delete**](docs/AdministrationApi.md#merchants_id_client_logo_delete) | **DELETE** /merchants/{id_client}/logo | Delete the client logo
*AdministrationApi* | [**merchants_id_client_logo_post**](docs/AdministrationApi.md#merchants_id_client_logo_post) | **POST** /merchants/{id_client}/logo | Update the client logo
*AdministrationApi* | [**merchants_post**](docs/AdministrationApi.md#merchants_post) | **POST** /merchants | Create a merchant. Needs a user identified in bearer to be used
*AdministrationApi* | [**monitoring_get**](docs/AdministrationApi.md#monitoring_get) | **GET** /monitoring | get performances stats on this instance
*AdministrationApi* | [**test_sync_post**](docs/AdministrationApi.md#test_sync_post) | **POST** /test/sync | Test synchronization on a random connection.
*AdministrationApi* | [**test_webhooks_post**](docs/AdministrationApi.md#test_webhooks_post) | **POST** /test/webhooks | Test synchronization on a random connection.
*AdministrationApi* | [**webhooks_auth_delete**](docs/AdministrationApi.md#webhooks_auth_delete) | **DELETE** /webhooks/auth | Deletes all webhook authentication types
*AdministrationApi* | [**webhooks_auth_get**](docs/AdministrationApi.md#webhooks_auth_get) | **GET** /webhooks/auth | Get webhooks authentication types
*AdministrationApi* | [**webhooks_auth_id_auth_delete**](docs/AdministrationApi.md#webhooks_auth_id_auth_delete) | **DELETE** /webhooks/auth/{id_auth} | Deletes the webhook authentication type
*AdministrationApi* | [**webhooks_auth_id_auth_post**](docs/AdministrationApi.md#webhooks_auth_id_auth_post) | **POST** /webhooks/auth/{id_auth} | Updates the webhook authentication type
*AdministrationApi* | [**webhooks_auth_id_auth_put**](docs/AdministrationApi.md#webhooks_auth_id_auth_put) | **PUT** /webhooks/auth/{id_auth} | Updates the webhook authentication type
*AdministrationApi* | [**webhooks_auth_post**](docs/AdministrationApi.md#webhooks_auth_post) | **POST** /webhooks/auth | Adds a new webhook authentication type
*AdministrationApi* | [**webhooks_delete**](docs/AdministrationApi.md#webhooks_delete) | **DELETE** /webhooks | Deletes all webhooks
*AdministrationApi* | [**webhooks_get**](docs/AdministrationApi.md#webhooks_get) | **GET** /webhooks | Get webhooks
*AdministrationApi* | [**webhooks_id_webhook_add_to_data_delete**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_delete) | **DELETE** /webhooks/{id_webhook}/add_to_data | delete all entries
*AdministrationApi* | [**webhooks_id_webhook_add_to_data_get**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_get) | **GET** /webhooks/{id_webhook}/add_to_data | retrieve the list of the value to add in webhooks when sending the requested webhook
*AdministrationApi* | [**webhooks_id_webhook_add_to_data_key_delete**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_key_delete) | **DELETE** /webhooks/{id_webhook}/add_to_data/{key} | delete the requested entry
*AdministrationApi* | [**webhooks_id_webhook_add_to_data_key_get**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_key_get) | **GET** /webhooks/{id_webhook}/add_to_data/{key} | retrieve the value to add in the requested webhook for the requested name
*AdministrationApi* | [**webhooks_id_webhook_add_to_data_key_post**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_key_post) | **POST** /webhooks/{id_webhook}/add_to_data/{key} | upate the requested field to store in user config when calling the endpoint
*AdministrationApi* | [**webhooks_id_webhook_add_to_data_post**](docs/AdministrationApi.md#webhooks_id_webhook_add_to_data_post) | **POST** /webhooks/{id_webhook}/add_to_data | Setup a field to store in user config when calling the endpoint
*AdministrationApi* | [**webhooks_id_webhook_delete**](docs/AdministrationApi.md#webhooks_id_webhook_delete) | **DELETE** /webhooks/{id_webhook} | Deletes a webhook
*AdministrationApi* | [**webhooks_id_webhook_logs_get**](docs/AdministrationApi.md#webhooks_id_webhook_logs_get) | **GET** /webhooks/{id_webhook}/logs | Get webhooks logs.
*AdministrationApi* | [**webhooks_id_webhook_post**](docs/AdministrationApi.md#webhooks_id_webhook_post) | **POST** /webhooks/{id_webhook} | Updates a webhook
*AdministrationApi* | [**webhooks_id_webhook_put**](docs/AdministrationApi.md#webhooks_id_webhook_put) | **PUT** /webhooks/{id_webhook} | Updates a webhook
*AdministrationApi* | [**webhooks_post**](docs/AdministrationApi.md#webhooks_post) | **POST** /webhooks | Adds a new webhook
*AuthenticationApi* | [**admin_jwt_post**](docs/AuthenticationApi.md#admin_jwt_post) | **POST** /admin/jwt | Generate a jwt manage token
*AuthenticationApi* | [**auth_init_post**](docs/AuthenticationApi.md#auth_init_post) | **POST** /auth/init | Create a new anonymous user
*AuthenticationApi* | [**auth_jwt_post**](docs/AuthenticationApi.md#auth_jwt_post) | **POST** /auth/jwt | Generate a user jwt token
*AuthenticationApi* | [**auth_token_access_post**](docs/AuthenticationApi.md#auth_token_access_post) | **POST** /auth/token/access | Transform a temporary code to a access_token
*AuthenticationApi* | [**auth_token_code_get**](docs/AuthenticationApi.md#auth_token_code_get) | **GET** /auth/token/code | Generate a user temporary token
*AuthenticationApi* | [**auth_token_delete**](docs/AuthenticationApi.md#auth_token_delete) | **DELETE** /auth/token | Remove user access
*AuthenticationApi* | [**certificate_type_get**](docs/AuthenticationApi.md#certificate_type_get) | **GET** /certificate/{type} | Get the latest certificate of a type
*AuthenticationApi* | [**hash_delete**](docs/AuthenticationApi.md#hash_delete) | **DELETE** /hash | Delete the user&#39;s connections
*AuthenticationApi* | [**users_id_user_delete**](docs/AuthenticationApi.md#users_id_user_delete) | **DELETE** /users/{id_user} | Delete the user
*AuthenticationApi* | [**users_id_user_get**](docs/AuthenticationApi.md#users_id_user_get) | **GET** /users/{id_user} | Get a user
*AuthenticationApi* | [**users_id_user_token_post**](docs/AuthenticationApi.md#users_id_user_token_post) | **POST** /users/{id_user}/token | Create a token
*AuthenticationApi* | [**webauth_get**](docs/AuthenticationApi.md#webauth_get) | **GET** /webauth | Initialize a new OAuth2 proxy session.
*BanksApi* | [**account_types_get**](docs/BanksApi.md#account_types_get) | **GET** /account_types | Get account types
*BanksApi* | [**account_types_id_account_type_get**](docs/BanksApi.md#account_types_id_account_type_get) | **GET** /account_types/{id_account_type} | Get an account type
*BanksApi* | [**banks_categories_id_category_delete**](docs/BanksApi.md#banks_categories_id_category_delete) | **DELETE** /banks/categories/{id_category} | Delete the supplied category
*BanksApi* | [**banks_categories_id_category_post**](docs/BanksApi.md#banks_categories_id_category_post) | **POST** /banks/categories/{id_category} | Edit a bank categories
*BanksApi* | [**banks_categories_post**](docs/BanksApi.md#banks_categories_post) | **POST** /banks/categories | Create bank categories
*BanksApi* | [**banks_get**](docs/BanksApi.md#banks_get) | **GET** /banks | Get list of connectors
*BanksApi* | [**banks_id_connector_connections_get**](docs/BanksApi.md#banks_id_connector_connections_get) | **GET** /banks/{id_connector}/connections | Get a subset of id_connection with the largest diversity of account
*BanksApi* | [**banks_id_connector_logos_get**](docs/BanksApi.md#banks_id_connector_logos_get) | **GET** /banks/{id_connector}/logos | Get all links to the files associated with this connector.
*BanksApi* | [**banks_id_connector_logos_main_get**](docs/BanksApi.md#banks_id_connector_logos_main_get) | **GET** /banks/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BanksApi* | [**banks_id_connector_logos_thumbnail_get**](docs/BanksApi.md#banks_id_connector_logos_thumbnail_get) | **GET** /banks/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BanksApi* | [**categories_get**](docs/BanksApi.md#categories_get) | **GET** /categories | Get all categories
*BanksApi* | [**categories_keywords_id_keyword_delete**](docs/BanksApi.md#categories_keywords_id_keyword_delete) | **DELETE** /categories/keywords/{id_keyword} | Delete a particular key-value pair on a transaction.
*BanksApi* | [**categories_keywords_post**](docs/BanksApi.md#categories_keywords_post) | **POST** /categories/keywords | Add a new keyword associated with a category in the database.
*BanksApi* | [**categorize_post**](docs/BanksApi.md#categorize_post) | **POST** /categorize | categorize transactions without storing them
*BanksApi* | [**connections_get**](docs/BanksApi.md#connections_get) | **GET** /connections | Get connections without a user
*BanksApi* | [**connectors_get**](docs/BanksApi.md#connectors_get) | **GET** /connectors | Get list of connectors
*BanksApi* | [**connectors_id_connector_logos_get**](docs/BanksApi.md#connectors_id_connector_logos_get) | **GET** /connectors/{id_connector}/logos | Get all links to the files associated with this connector.
*BanksApi* | [**connectors_id_connector_logos_id_logo_delete**](docs/BanksApi.md#connectors_id_connector_logos_id_logo_delete) | **DELETE** /connectors/{id_connector}/logos/{id_logo} | Delete a single Logo object.
*BanksApi* | [**connectors_id_connector_logos_id_logo_put**](docs/BanksApi.md#connectors_id_connector_logos_id_logo_put) | **PUT** /connectors/{id_connector}/logos/{id_logo} | Create or Update a connector Logo.
*BanksApi* | [**connectors_id_connector_logos_main_get**](docs/BanksApi.md#connectors_id_connector_logos_main_get) | **GET** /connectors/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BanksApi* | [**connectors_id_connector_logos_post**](docs/BanksApi.md#connectors_id_connector_logos_post) | **POST** /connectors/{id_connector}/logos | Create a connector Logo
*BanksApi* | [**connectors_id_connector_logos_put**](docs/BanksApi.md#connectors_id_connector_logos_put) | **PUT** /connectors/{id_connector}/logos | Create or Update a connector Logo
*BanksApi* | [**connectors_id_connector_logos_thumbnail_get**](docs/BanksApi.md#connectors_id_connector_logos_thumbnail_get) | **GET** /connectors/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BanksApi* | [**connectors_id_connector_put**](docs/BanksApi.md#connectors_id_connector_put) | **PUT** /connectors/{id_connector} | Edit the provided connector
*BanksApi* | [**connectors_post**](docs/BanksApi.md#connectors_post) | **POST** /connectors | Request a new connector
*BanksApi* | [**invoicing_get**](docs/BanksApi.md#invoicing_get) | **GET** /invoicing | Get number of accounts, connections and users synced.
*BanksApi* | [**logs_get**](docs/BanksApi.md#logs_get) | **GET** /logs | Get connection logs
*BanksApi* | [**providers_get**](docs/BanksApi.md#providers_get) | **GET** /providers | Get list of connectors
*BanksApi* | [**providers_id_connector_connections_get**](docs/BanksApi.md#providers_id_connector_connections_get) | **GET** /providers/{id_connector}/connections | Get a random subset of provider&#39;s id_connection
*BanksApi* | [**providers_id_connector_logos_get**](docs/BanksApi.md#providers_id_connector_logos_get) | **GET** /providers/{id_connector}/logos | Get all links to the files associated with this connector.
*BanksApi* | [**providers_id_connector_logos_main_get**](docs/BanksApi.md#providers_id_connector_logos_main_get) | **GET** /providers/{id_connector}/logos/main | Get all links to the files associated with this connector.
*BanksApi* | [**providers_id_connector_logos_thumbnail_get**](docs/BanksApi.md#providers_id_connector_logos_thumbnail_get) | **GET** /providers/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*BanksApi* | [**users_id_user_account_types_get**](docs/BanksApi.md#users_id_user_account_types_get) | **GET** /users/{id_user}/account_types | Get account types
*BanksApi* | [**users_id_user_account_types_id_account_type_get**](docs/BanksApi.md#users_id_user_account_types_id_account_type_get) | **GET** /users/{id_user}/account_types/{id_account_type} | Get an account type
*BanksApi* | [**users_id_user_accounts_delete**](docs/BanksApi.md#users_id_user_accounts_delete) | **DELETE** /users/{id_user}/accounts | Delete all accounts
*BanksApi* | [**users_id_user_accounts_get**](docs/BanksApi.md#users_id_user_accounts_get) | **GET** /users/{id_user}/accounts | Get accounts list.
*BanksApi* | [**users_id_user_accounts_id_account_categories_get**](docs/BanksApi.md#users_id_user_accounts_id_account_categories_get) | **GET** /users/{id_user}/accounts/{id_account}/categories | Get the category
*BanksApi* | [**users_id_user_accounts_id_account_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_delete) | **DELETE** /users/{id_user}/accounts/{id_account} | Delete an account.
*BanksApi* | [**users_id_user_accounts_id_account_delta_get**](docs/BanksApi.md#users_id_user_accounts_id_account_delta_get) | **GET** /users/{id_user}/accounts/{id_account}/delta | Get deltas of accounts
*BanksApi* | [**users_id_user_accounts_id_account_logs_get**](docs/BanksApi.md#users_id_user_accounts_id_account_logs_get) | **GET** /users/{id_user}/accounts/{id_account}/logs | Get accounts logs.
*BanksApi* | [**users_id_user_accounts_id_account_put**](docs/BanksApi.md#users_id_user_accounts_id_account_put) | **PUT** /users/{id_user}/accounts/{id_account} | Update an account
*BanksApi* | [**users_id_user_accounts_id_account_transactions_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions | Delete transactions
*BanksApi* | [**users_id_user_accounts_id_account_transactions_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions | Get transactions
*BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BanksApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_id_transaction_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction} | Edit a transaction meta-data
*BanksApi* | [**users_id_user_accounts_id_account_transactions_post**](docs/BanksApi.md#users_id_user_accounts_id_account_transactions_post) | **POST** /users/{id_user}/accounts/{id_account}/transactions | Create transactions
*BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_get**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_get) | **GET** /users/{id_user}/accounts/{id_account}/transactionsclusters | Get clustered transactions
*BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BanksApi* | [**users_id_user_accounts_id_account_transactionsclusters_post**](docs/BanksApi.md#users_id_user_accounts_id_account_transactionsclusters_post) | **POST** /users/{id_user}/accounts/{id_account}/transactionsclusters | Create clustered transaction
*BanksApi* | [**users_id_user_accounts_post**](docs/BanksApi.md#users_id_user_accounts_post) | **POST** /users/{id_user}/accounts | Create an account
*BanksApi* | [**users_id_user_accounts_put**](docs/BanksApi.md#users_id_user_accounts_put) | **PUT** /users/{id_user}/accounts | Update many accounts at once
*BanksApi* | [**users_id_user_alerts_get**](docs/BanksApi.md#users_id_user_alerts_get) | **GET** /users/{id_user}/alerts | Get alerts
*BanksApi* | [**users_id_user_categories_full_get**](docs/BanksApi.md#users_id_user_categories_full_get) | **GET** /users/{id_user}/categories/full | Get the category
*BanksApi* | [**users_id_user_categories_full_id_full_delete**](docs/BanksApi.md#users_id_user_categories_full_id_full_delete) | **DELETE** /users/{id_user}/categories/full/{id_full} | Delete a user-created transaction category
*BanksApi* | [**users_id_user_categories_full_id_full_put**](docs/BanksApi.md#users_id_user_categories_full_id_full_put) | **PUT** /users/{id_user}/categories/full/{id_full} | Modify a user-created category
*BanksApi* | [**users_id_user_categories_full_post**](docs/BanksApi.md#users_id_user_categories_full_post) | **POST** /users/{id_user}/categories/full | Create a new transaction category
*BanksApi* | [**users_id_user_categories_get**](docs/BanksApi.md#users_id_user_categories_get) | **GET** /users/{id_user}/categories | Get the category
*BanksApi* | [**users_id_user_connections_delete**](docs/BanksApi.md#users_id_user_connections_delete) | **DELETE** /users/{id_user}/connections | Delete all connections
*BanksApi* | [**users_id_user_connections_get**](docs/BanksApi.md#users_id_user_connections_get) | **GET** /users/{id_user}/connections | Get connections
*BanksApi* | [**users_id_user_connections_id_connection_accounts_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts | Delete all accounts
*BanksApi* | [**users_id_user_connections_id_connection_accounts_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts | Get accounts list.
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_categories_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_categories_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/categories | Get the category
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account} | Delete an account.
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_delta_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_delta_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/delta | Get deltas of accounts
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_logs_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/logs | Get accounts logs.
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account} | Update an account
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions | Delete transactions
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions | Get transactions
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction} | Edit a transaction meta-data
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_post**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions | Create transactions
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_get**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters | Get clustered transactions
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BanksApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_post**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters | Create clustered transaction
*BanksApi* | [**users_id_user_connections_id_connection_accounts_post**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts | Create an account
*BanksApi* | [**users_id_user_connections_id_connection_accounts_put**](docs/BanksApi.md#users_id_user_connections_id_connection_accounts_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts | Update many accounts at once
*BanksApi* | [**users_id_user_connections_id_connection_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_delete) | **DELETE** /users/{id_user}/connections/{id_connection} | Delete a connection.
*BanksApi* | [**users_id_user_connections_id_connection_informations_get**](docs/BanksApi.md#users_id_user_connections_id_connection_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/informations | Get connection additionnal informations
*BanksApi* | [**users_id_user_connections_id_connection_logs_get**](docs/BanksApi.md#users_id_user_connections_id_connection_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/logs | Get connection logs
*BanksApi* | [**users_id_user_connections_id_connection_post**](docs/BanksApi.md#users_id_user_connections_id_connection_post) | **POST** /users/{id_user}/connections/{id_connection} | Update a connection.
*BanksApi* | [**users_id_user_connections_id_connection_put**](docs/BanksApi.md#users_id_user_connections_id_connection_put) | **PUT** /users/{id_user}/connections/{id_connection} | Force synchronisation of a connection.
*BanksApi* | [**users_id_user_connections_id_connection_transactions_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions | Delete transactions
*BanksApi* | [**users_id_user_connections_id_connection_transactions_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions | Get transactions
*BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BanksApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_id_transaction_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction} | Edit a transaction meta-data
*BanksApi* | [**users_id_user_connections_id_connection_transactions_post**](docs/BanksApi.md#users_id_user_connections_id_connection_transactions_post) | **POST** /users/{id_user}/connections/{id_connection}/transactions | Create transactions
*BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_get**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_get) | **GET** /users/{id_user}/connections/{id_connection}/transactionsclusters | Get clustered transactions
*BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BanksApi* | [**users_id_user_connections_id_connection_transactionsclusters_post**](docs/BanksApi.md#users_id_user_connections_id_connection_transactionsclusters_post) | **POST** /users/{id_user}/connections/{id_connection}/transactionsclusters | Create clustered transaction
*BanksApi* | [**users_id_user_connections_post**](docs/BanksApi.md#users_id_user_connections_post) | **POST** /users/{id_user}/connections | Add a new connection.
*BanksApi* | [**users_id_user_forecast_get**](docs/BanksApi.md#users_id_user_forecast_get) | **GET** /users/{id_user}/forecast | Get forecast
*BanksApi* | [**users_id_user_logs_get**](docs/BanksApi.md#users_id_user_logs_get) | **GET** /users/{id_user}/logs | Get connection logs
*BanksApi* | [**users_id_user_transactions_delete**](docs/BanksApi.md#users_id_user_transactions_delete) | **DELETE** /users/{id_user}/transactions | Delete transactions
*BanksApi* | [**users_id_user_transactions_get**](docs/BanksApi.md#users_id_user_transactions_get) | **GET** /users/{id_user}/transactions | Get transactions
*BanksApi* | [**users_id_user_transactions_id_transaction_informations_delete**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/informations | Delete all arbitrary key-value pairs of a transaction
*BanksApi* | [**users_id_user_transactions_id_transaction_informations_get**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_get) | **GET** /users/{id_user}/transactions/{id_transaction}/informations | List all arbitrary key-value pairs on a transaction
*BanksApi* | [**users_id_user_transactions_id_transaction_informations_id_information_delete**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_id_information_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/informations/{id_information} | Delete a particular key-value pair on a transaction.
*BanksApi* | [**users_id_user_transactions_id_transaction_informations_id_information_get**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_id_information_get) | **GET** /users/{id_user}/transactions/{id_transaction}/informations/{id_information} | Get a particular arbitrary key-value pair on a transaction
*BanksApi* | [**users_id_user_transactions_id_transaction_informations_put**](docs/BanksApi.md#users_id_user_transactions_id_transaction_informations_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/informations | Add or edit transaction arbitrary key-value pairs
*BanksApi* | [**users_id_user_transactions_id_transaction_put**](docs/BanksApi.md#users_id_user_transactions_id_transaction_put) | **PUT** /users/{id_user}/transactions/{id_transaction} | Edit a transaction meta-data
*BanksApi* | [**users_id_user_transactions_post**](docs/BanksApi.md#users_id_user_transactions_post) | **POST** /users/{id_user}/transactions | Create transactions
*BanksApi* | [**users_id_user_transactionsclusters_get**](docs/BanksApi.md#users_id_user_transactionsclusters_get) | **GET** /users/{id_user}/transactionsclusters | Get clustered transactions
*BanksApi* | [**users_id_user_transactionsclusters_id_transactionscluster_delete**](docs/BanksApi.md#users_id_user_transactionsclusters_id_transactionscluster_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactionscluster} | Delete a clustered transaction
*BanksApi* | [**users_id_user_transactionsclusters_id_transactionscluster_put**](docs/BanksApi.md#users_id_user_transactionsclusters_id_transactionscluster_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactionscluster} | Edit a clustered transaction
*BanksApi* | [**users_id_user_transactionsclusters_post**](docs/BanksApi.md#users_id_user_transactionsclusters_post) | **POST** /users/{id_user}/transactionsclusters | Create clustered transaction
*ConnectionsApi* | [**banks_get**](docs/ConnectionsApi.md#banks_get) | **GET** /banks | Get list of connectors
*ConnectionsApi* | [**banks_id_connector_connections_get**](docs/ConnectionsApi.md#banks_id_connector_connections_get) | **GET** /banks/{id_connector}/connections | Get a subset of id_connection with the largest diversity of account
*ConnectionsApi* | [**connections_get**](docs/ConnectionsApi.md#connections_get) | **GET** /connections | Get connections without a user
*ConnectionsApi* | [**connectors_get**](docs/ConnectionsApi.md#connectors_get) | **GET** /connectors | Get list of connectors
*ConnectionsApi* | [**connectors_post**](docs/ConnectionsApi.md#connectors_post) | **POST** /connectors | Request a new connector
*ConnectionsApi* | [**logs_get**](docs/ConnectionsApi.md#logs_get) | **GET** /logs | Get connection logs
*ConnectionsApi* | [**providers_get**](docs/ConnectionsApi.md#providers_get) | **GET** /providers | Get list of connectors
*ConnectionsApi* | [**providers_id_connector_connections_get**](docs/ConnectionsApi.md#providers_id_connector_connections_get) | **GET** /providers/{id_connector}/connections | Get a random subset of provider&#39;s id_connection
*ConnectionsApi* | [**users_id_user_connections_delete**](docs/ConnectionsApi.md#users_id_user_connections_delete) | **DELETE** /users/{id_user}/connections | Delete all connections
*ConnectionsApi* | [**users_id_user_connections_get**](docs/ConnectionsApi.md#users_id_user_connections_get) | **GET** /users/{id_user}/connections | Get connections
*ConnectionsApi* | [**users_id_user_connections_id_connection_delete**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_delete) | **DELETE** /users/{id_user}/connections/{id_connection} | Delete a connection.
*ConnectionsApi* | [**users_id_user_connections_id_connection_informations_get**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/informations | Get connection additionnal informations
*ConnectionsApi* | [**users_id_user_connections_id_connection_logs_get**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/logs | Get connection logs
*ConnectionsApi* | [**users_id_user_connections_id_connection_post**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_post) | **POST** /users/{id_user}/connections/{id_connection} | Update a connection.
*ConnectionsApi* | [**users_id_user_connections_id_connection_put**](docs/ConnectionsApi.md#users_id_user_connections_id_connection_put) | **PUT** /users/{id_user}/connections/{id_connection} | Force synchronisation of a connection.
*ConnectionsApi* | [**users_id_user_connections_post**](docs/ConnectionsApi.md#users_id_user_connections_post) | **POST** /users/{id_user}/connections | Add a new connection.
*ConnectionsApi* | [**users_id_user_logs_get**](docs/ConnectionsApi.md#users_id_user_logs_get) | **GET** /users/{id_user}/logs | Get connection logs
*DocumentsApi* | [**documenttypes_get**](docs/DocumentsApi.md#documenttypes_get) | **GET** /documenttypes | Get document types
*DocumentsApi* | [**documenttypes_id_documenttype_put**](docs/DocumentsApi.md#documenttypes_id_documenttype_put) | **PUT** /documenttypes/{id_documenttype} | Edit a document type
*DocumentsApi* | [**ocr_post**](docs/DocumentsApi.md#ocr_post) | **POST** /ocr | Post an image with OCR
*DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*DocumentsApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*DocumentsApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*DocumentsApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_connections_id_connection_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents | Delete documents
*DocumentsApi* | [**users_id_user_connections_id_connection_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/documents | Get documents
*DocumentsApi* | [**users_id_user_connections_id_connection_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_connections_id_connection_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_connections_id_connection_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/documents | Add a new document
*DocumentsApi* | [**users_id_user_connections_id_connection_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Delete documents
*DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Get documents
*DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Add a new document
*DocumentsApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Delete documents
*DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Get documents
*DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Add a new document
*DocumentsApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*DocumentsApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_documents_delete**](docs/DocumentsApi.md#users_id_user_documents_delete) | **DELETE** /users/{id_user}/documents | Delete documents
*DocumentsApi* | [**users_id_user_documents_get**](docs/DocumentsApi.md#users_id_user_documents_get) | **GET** /users/{id_user}/documents | Get documents
*DocumentsApi* | [**users_id_user_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_documents_id_document_delete) | **DELETE** /users/{id_user}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_documents_id_document_put) | **PUT** /users/{id_user}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_documents_post**](docs/DocumentsApi.md#users_id_user_documents_post) | **POST** /users/{id_user}/documents | Add a new document
*DocumentsApi* | [**users_id_user_documents_put**](docs/DocumentsApi.md#users_id_user_documents_put) | **PUT** /users/{id_user}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_ocr_post**](docs/DocumentsApi.md#users_id_user_ocr_post) | **POST** /users/{id_user}/ocr | Post an image with OCR
*DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_delete**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents | Delete documents
*DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_get**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/subscriptions/{id_subscription}/documents | Get documents
*DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_post**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/subscriptions/{id_subscription}/documents | Add a new document
*DocumentsApi* | [**users_id_user_subscriptions_id_subscription_documents_put**](docs/DocumentsApi.md#users_id_user_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_delete**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents | Delete documents
*DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_get**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/transactions/{id_transaction}/documents | Get documents
*DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_post**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/transactions/{id_transaction}/documents | Add a new document
*DocumentsApi* | [**users_id_user_transactions_id_transaction_documents_put**](docs/DocumentsApi.md#users_id_user_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_delete**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_get**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_post**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*DocumentsApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_put**](docs/DocumentsApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*OCRApi* | [**ocr_post**](docs/OCRApi.md#ocr_post) | **POST** /ocr | Post an image with OCR
*OCRApi* | [**users_id_user_ocr_post**](docs/OCRApi.md#users_id_user_ocr_post) | **POST** /users/{id_user}/ocr | Post an image with OCR
*OIDCApi* | [**oidc_whitelist_id_whitelist_delete**](docs/OIDCApi.md#oidc_whitelist_id_whitelist_delete) | **DELETE** /oidc/whitelist/{id_whitelist} | Delete the supplied authorized redirect uri
*OIDCApi* | [**oidc_whitelist_id_whitelist_post**](docs/OIDCApi.md#oidc_whitelist_id_whitelist_post) | **POST** /oidc/whitelist/{id_whitelist} | Edit a authorized redirect uri
*OIDCApi* | [**oidc_whitelist_post**](docs/OIDCApi.md#oidc_whitelist_post) | **POST** /oidc/whitelist | Adds an authorized redirect uri
*PFMApi* | [**auth_confirm_new_email_post**](docs/PFMApi.md#auth_confirm_new_email_post) | **POST** /auth/confirmNewEmail | Confirm new email address
*PFMApi* | [**auth_confirm_post**](docs/PFMApi.md#auth_confirm_post) | **POST** /auth/confirm | Confirm email address
*PFMApi* | [**auth_cookie_post**](docs/PFMApi.md#auth_cookie_post) | **POST** /auth/cookie | Login with credentials and set as cookie
*PFMApi* | [**auth_register_post**](docs/PFMApi.md#auth_register_post) | **POST** /auth/register | Register to API
*PFMApi* | [**auth_token_delete**](docs/PFMApi.md#auth_token_delete) | **DELETE** /auth/token | Remove user access
*PFMApi* | [**auth_token_post**](docs/PFMApi.md#auth_token_post) | **POST** /auth/token | Login to API with credentials
*PFMApi* | [**hash_delete**](docs/PFMApi.md#hash_delete) | **DELETE** /hash | Delete the user&#39;s connections
*PFMApi* | [**users_id_user_accounts_id_account_balances_get**](docs/PFMApi.md#users_id_user_accounts_id_account_balances_get) | **GET** /users/{id_user}/accounts/{id_account}/balances | Get balances of accounts
*PFMApi* | [**users_id_user_accounts_id_account_operationsalert_get**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_get) | **GET** /users/{id_user}/accounts/{id_account}/operationsalert | Get a list of configurated alerts
*PFMApi* | [**users_id_user_accounts_id_account_operationsalert_id_operationsalert_delete**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_id_operationsalert_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/operationsalert/{id_operationsalert} | Delete an alert on transactions or investemens
*PFMApi* | [**users_id_user_accounts_id_account_operationsalert_id_operationsalert_put**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_id_operationsalert_put) | **PUT** /users/{id_user}/accounts/{id_account}/operationsalert/{id_operationsalert} | Edit an alert on transactions or investemens
*PFMApi* | [**users_id_user_accounts_id_account_operationsalert_post**](docs/PFMApi.md#users_id_user_accounts_id_account_operationsalert_post) | **POST** /users/{id_user}/accounts/{id_account}/operationsalert | Create an alert on transactions or investemens of a given user
*PFMApi* | [**users_id_user_accountsalert_get**](docs/PFMApi.md#users_id_user_accountsalert_get) | **GET** /users/{id_user}/accountsalert | Get alert configuration of a specific account
*PFMApi* | [**users_id_user_accountsalert_put**](docs/PFMApi.md#users_id_user_accountsalert_put) | **PUT** /users/{id_user}/accountsalert | Update alert configuration of an account
*PFMApi* | [**users_id_user_balances_get**](docs/PFMApi.md#users_id_user_balances_get) | **GET** /users/{id_user}/balances | Get balances of accounts
*PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_balances_get**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_balances_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/balances | Get balances of accounts
*PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_get**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert | Get a list of configurated alerts
*PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_delete**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert/{id_operationsalert} | Delete an alert on transactions or investemens
*PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_put**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_id_operationsalert_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert/{id_operationsalert} | Edit an alert on transactions or investemens
*PFMApi* | [**users_id_user_connections_id_connection_accounts_id_account_operationsalert_post**](docs/PFMApi.md#users_id_user_connections_id_connection_accounts_id_account_operationsalert_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/operationsalert | Create an alert on transactions or investemens of a given user
*PFMApi* | [**users_id_user_connections_id_connection_balances_get**](docs/PFMApi.md#users_id_user_connections_id_connection_balances_get) | **GET** /users/{id_user}/connections/{id_connection}/balances | Get balances of accounts
*PFMApi* | [**users_id_user_devices_get**](docs/PFMApi.md#users_id_user_devices_get) | **GET** /users/{id_user}/devices | Get devices
*PFMApi* | [**users_id_user_devices_id_device_delete**](docs/PFMApi.md#users_id_user_devices_id_device_delete) | **DELETE** /users/{id_user}/devices/{id_device} | Delete device.
*PFMApi* | [**users_id_user_devices_id_device_get**](docs/PFMApi.md#users_id_user_devices_id_device_get) | **GET** /users/{id_user}/devices/{id_device} | Get a device
*PFMApi* | [**users_id_user_devices_id_device_put**](docs/PFMApi.md#users_id_user_devices_id_device_put) | **PUT** /users/{id_user}/devices/{id_device} | Update attributes of the device.
*PFMApi* | [**users_id_user_devices_post**](docs/PFMApi.md#users_id_user_devices_post) | **POST** /users/{id_user}/devices | Create a device linked to specified token.
*PFMApi* | [**users_id_user_forecast_get**](docs/PFMApi.md#users_id_user_forecast_get) | **GET** /users/{id_user}/forecast | Get forecast
*PFMApi* | [**users_id_user_get**](docs/PFMApi.md#users_id_user_get) | **GET** /users/{id_user} | Get a user
*PFMApi* | [**users_id_user_operationsalert_get**](docs/PFMApi.md#users_id_user_operationsalert_get) | **GET** /users/{id_user}/operationsalert | Get a list of configurated alerts
*PFMApi* | [**users_id_user_operationsalert_id_operationsalert_delete**](docs/PFMApi.md#users_id_user_operationsalert_id_operationsalert_delete) | **DELETE** /users/{id_user}/operationsalert/{id_operationsalert} | Delete an alert on transactions or investemens
*PFMApi* | [**users_id_user_operationsalert_id_operationsalert_put**](docs/PFMApi.md#users_id_user_operationsalert_id_operationsalert_put) | **PUT** /users/{id_user}/operationsalert/{id_operationsalert} | Edit an alert on transactions or investemens
*PFMApi* | [**users_id_user_operationsalert_post**](docs/PFMApi.md#users_id_user_operationsalert_post) | **POST** /users/{id_user}/operationsalert | Create an alert on transactions or investemens of a given user
*PFMApi* | [**users_id_user_profiles_get**](docs/PFMApi.md#users_id_user_profiles_get) | **GET** /users/{id_user}/profiles | Get profiles
*PFMApi* | [**users_id_user_profiles_id_profile_get**](docs/PFMApi.md#users_id_user_profiles_id_profile_get) | **GET** /users/{id_user}/profiles/{id_profile} | Get a profile
*PFMApi* | [**users_id_user_profiles_main_get**](docs/PFMApi.md#users_id_user_profiles_main_get) | **GET** /users/{id_user}/profiles/main | Get the main profile
*PFMApi* | [**users_id_user_profiles_me_get**](docs/PFMApi.md#users_id_user_profiles_me_get) | **GET** /users/{id_user}/profiles/me | Get my profile
*PFMApi* | [**users_id_user_profiles_me_put**](docs/PFMApi.md#users_id_user_profiles_me_put) | **PUT** /users/{id_user}/profiles/me | Change settings of the profile.
*PFMApi* | [**users_id_user_resume_get**](docs/PFMApi.md#users_id_user_resume_get) | **GET** /users/{id_user}/resume | Get synthesis configuration of a specific user
*PFMApi* | [**users_id_user_resume_post**](docs/PFMApi.md#users_id_user_resume_post) | **POST** /users/{id_user}/resume | Update synthesis configuration
*ProvidersApi* | [**banks_get**](docs/ProvidersApi.md#banks_get) | **GET** /banks | Get list of connectors
*ProvidersApi* | [**banks_id_connector_logos_get**](docs/ProvidersApi.md#banks_id_connector_logos_get) | **GET** /banks/{id_connector}/logos | Get all links to the files associated with this connector.
*ProvidersApi* | [**banks_id_connector_logos_main_get**](docs/ProvidersApi.md#banks_id_connector_logos_main_get) | **GET** /banks/{id_connector}/logos/main | Get all links to the files associated with this connector.
*ProvidersApi* | [**banks_id_connector_logos_thumbnail_get**](docs/ProvidersApi.md#banks_id_connector_logos_thumbnail_get) | **GET** /banks/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*ProvidersApi* | [**connections_get**](docs/ProvidersApi.md#connections_get) | **GET** /connections | Get connections without a user
*ProvidersApi* | [**connectors_get**](docs/ProvidersApi.md#connectors_get) | **GET** /connectors | Get list of connectors
*ProvidersApi* | [**connectors_id_connector_logos_get**](docs/ProvidersApi.md#connectors_id_connector_logos_get) | **GET** /connectors/{id_connector}/logos | Get all links to the files associated with this connector.
*ProvidersApi* | [**connectors_id_connector_logos_id_logo_delete**](docs/ProvidersApi.md#connectors_id_connector_logos_id_logo_delete) | **DELETE** /connectors/{id_connector}/logos/{id_logo} | Delete a single Logo object.
*ProvidersApi* | [**connectors_id_connector_logos_id_logo_put**](docs/ProvidersApi.md#connectors_id_connector_logos_id_logo_put) | **PUT** /connectors/{id_connector}/logos/{id_logo} | Create or Update a connector Logo.
*ProvidersApi* | [**connectors_id_connector_logos_main_get**](docs/ProvidersApi.md#connectors_id_connector_logos_main_get) | **GET** /connectors/{id_connector}/logos/main | Get all links to the files associated with this connector.
*ProvidersApi* | [**connectors_id_connector_logos_post**](docs/ProvidersApi.md#connectors_id_connector_logos_post) | **POST** /connectors/{id_connector}/logos | Create a connector Logo
*ProvidersApi* | [**connectors_id_connector_logos_put**](docs/ProvidersApi.md#connectors_id_connector_logos_put) | **PUT** /connectors/{id_connector}/logos | Create or Update a connector Logo
*ProvidersApi* | [**connectors_id_connector_logos_thumbnail_get**](docs/ProvidersApi.md#connectors_id_connector_logos_thumbnail_get) | **GET** /connectors/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*ProvidersApi* | [**connectors_post**](docs/ProvidersApi.md#connectors_post) | **POST** /connectors | Request a new connector
*ProvidersApi* | [**documenttypes_get**](docs/ProvidersApi.md#documenttypes_get) | **GET** /documenttypes | Get document types
*ProvidersApi* | [**documenttypes_id_documenttype_put**](docs/ProvidersApi.md#documenttypes_id_documenttype_put) | **PUT** /documenttypes/{id_documenttype} | Edit a document type
*ProvidersApi* | [**logs_get**](docs/ProvidersApi.md#logs_get) | **GET** /logs | Get connection logs
*ProvidersApi* | [**ocr_post**](docs/ProvidersApi.md#ocr_post) | **POST** /ocr | Post an image with OCR
*ProvidersApi* | [**providers_get**](docs/ProvidersApi.md#providers_get) | **GET** /providers | Get list of connectors
*ProvidersApi* | [**providers_id_connector_logos_get**](docs/ProvidersApi.md#providers_id_connector_logos_get) | **GET** /providers/{id_connector}/logos | Get all links to the files associated with this connector.
*ProvidersApi* | [**providers_id_connector_logos_main_get**](docs/ProvidersApi.md#providers_id_connector_logos_main_get) | **GET** /providers/{id_connector}/logos/main | Get all links to the files associated with this connector.
*ProvidersApi* | [**providers_id_connector_logos_thumbnail_get**](docs/ProvidersApi.md#providers_id_connector_logos_thumbnail_get) | **GET** /providers/{id_connector}/logos/thumbnail | Get all links to the files associated with this connector.
*ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*ProvidersApi* | [**users_id_user_accounts_id_account_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*ProvidersApi* | [**users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_connections_delete**](docs/ProvidersApi.md#users_id_user_connections_delete) | **DELETE** /users/{id_user}/connections | Delete all connections
*ProvidersApi* | [**users_id_user_connections_get**](docs/ProvidersApi.md#users_id_user_connections_get) | **GET** /users/{id_user}/connections | Get connections
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Delete documents
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Get documents
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Add a new document
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*ProvidersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_accounts_id_account_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_connections_id_connection_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_delete) | **DELETE** /users/{id_user}/connections/{id_connection} | Delete a connection.
*ProvidersApi* | [**users_id_user_connections_id_connection_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents | Delete documents
*ProvidersApi* | [**users_id_user_connections_id_connection_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/documents | Get documents
*ProvidersApi* | [**users_id_user_connections_id_connection_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_connections_id_connection_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_connections_id_connection_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/documents | Add a new document
*ProvidersApi* | [**users_id_user_connections_id_connection_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_connections_id_connection_informations_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_informations_get) | **GET** /users/{id_user}/connections/{id_connection}/informations | Get connection additionnal informations
*ProvidersApi* | [**users_id_user_connections_id_connection_logs_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_logs_get) | **GET** /users/{id_user}/connections/{id_connection}/logs | Get connection logs
*ProvidersApi* | [**users_id_user_connections_id_connection_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_post) | **POST** /users/{id_user}/connections/{id_connection} | Update a connection.
*ProvidersApi* | [**users_id_user_connections_id_connection_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_put) | **PUT** /users/{id_user}/connections/{id_connection} | Force synchronisation of a connection.
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription} | Delete a subscription.
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Delete documents
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Get documents
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Add a new document
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_connections_id_connection_subscriptions_id_subscription_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_subscriptions_id_subscription_put) | **PUT** /users/{id_user}/connections/{id_connection}/subscriptions/{id_subscription} | Update a subscription
*ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Delete documents
*ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Get documents
*ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Add a new document
*ProvidersApi* | [**users_id_user_connections_id_connection_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*ProvidersApi* | [**users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_connections_id_connection_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/connections/{id_connection}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_connections_post**](docs/ProvidersApi.md#users_id_user_connections_post) | **POST** /users/{id_user}/connections | Add a new connection.
*ProvidersApi* | [**users_id_user_documents_delete**](docs/ProvidersApi.md#users_id_user_documents_delete) | **DELETE** /users/{id_user}/documents | Delete documents
*ProvidersApi* | [**users_id_user_documents_get**](docs/ProvidersApi.md#users_id_user_documents_get) | **GET** /users/{id_user}/documents | Get documents
*ProvidersApi* | [**users_id_user_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_documents_id_document_delete) | **DELETE** /users/{id_user}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_documents_id_document_put) | **PUT** /users/{id_user}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_documents_post**](docs/ProvidersApi.md#users_id_user_documents_post) | **POST** /users/{id_user}/documents | Add a new document
*ProvidersApi* | [**users_id_user_documents_put**](docs/ProvidersApi.md#users_id_user_documents_put) | **PUT** /users/{id_user}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_logs_get**](docs/ProvidersApi.md#users_id_user_logs_get) | **GET** /users/{id_user}/logs | Get connection logs
*ProvidersApi* | [**users_id_user_ocr_post**](docs/ProvidersApi.md#users_id_user_ocr_post) | **POST** /users/{id_user}/ocr | Post an image with OCR
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_delete**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription} | Delete a subscription.
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_delete**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents | Delete documents
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_get**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_get) | **GET** /users/{id_user}/subscriptions/{id_subscription}/documents | Get documents
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_delete) | **DELETE** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_id_document_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_post**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_post) | **POST** /users/{id_user}/subscriptions/{id_subscription}/documents | Add a new document
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_documents_put**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_documents_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_subscriptions_id_subscription_put**](docs/ProvidersApi.md#users_id_user_subscriptions_id_subscription_put) | **PUT** /users/{id_user}/subscriptions/{id_subscription} | Update a subscription
*ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_delete**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents | Delete documents
*ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_get**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_get) | **GET** /users/{id_user}/transactions/{id_transaction}/documents | Get documents
*ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_id_document_delete) | **DELETE** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_id_document_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_post**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_post) | **POST** /users/{id_user}/transactions/{id_transaction}/documents | Add a new document
*ProvidersApi* | [**users_id_user_transactions_id_transaction_documents_put**](docs/ProvidersApi.md#users_id_user_transactions_id_transaction_documents_put) | **PUT** /users/{id_user}/transactions/{id_transaction}/documents | Attach an existing document to a transaction or a transactions_cluster
*ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_delete**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Delete documents
*ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_get**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_get) | **GET** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Get documents
*ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_delete) | **DELETE** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Delete a document
*ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_id_document_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents/{id_document} | Edit a document
*ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_post**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_post) | **POST** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Add a new document
*ProvidersApi* | [**users_id_user_transactionsclusters_id_transactions_cluster_documents_put**](docs/ProvidersApi.md#users_id_user_transactionsclusters_id_transactions_cluster_documents_put) | **PUT** /users/{id_user}/transactionsclusters/{id_transactions_cluster}/documents | Attach an existing document to a transaction or a transactions_cluster
*RecipientsApi* | [**users_id_user_accounts_id_account_recipients_post**](docs/RecipientsApi.md#users_id_user_accounts_id_account_recipients_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients | Add a recipient.
*RecipientsApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_post**](docs/RecipientsApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients | Add a recipient.
*RecipientsApi* | [**users_id_user_connections_id_connection_recipients_post**](docs/RecipientsApi.md#users_id_user_connections_id_connection_recipients_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients | Add a recipient.
*RecipientsApi* | [**users_id_user_recipients_post**](docs/RecipientsApi.md#users_id_user_recipients_post) | **POST** /users/{id_user}/recipients | Add a recipient.
*TermsApi* | [**terms_get**](docs/TermsApi.md#terms_get) | **GET** /terms | Return the current terms and the content of the associated file
*TermsApi* | [**terms_post**](docs/TermsApi.md#terms_post) | **POST** /terms | Register a version of &#39;Terms of Service&#39; in database
*TermsApi* | [**users_id_user_terms_get**](docs/TermsApi.md#users_id_user_terms_get) | **GET** /users/{id_user}/terms | Get active terms object for a specific user, only one terms can be active
*TermsApi* | [**users_id_user_terms_post**](docs/TermsApi.md#users_id_user_terms_post) | **POST** /users/{id_user}/terms | Register user&#39;s consent for a specific terms id
*TransfersApi* | [**users_id_user_accounts_id_account_recipients_get**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_get) | **GET** /users/{id_user}/accounts/{id_account}/recipients | Returns the list of recipients.
*TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient} | Continue addition of a recipient.
*TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers | Get transfers
*TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_accounts_id_account_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/accounts/{id_account}/recipients/{id_recipient}/transfers | Create a transfer object.
*TransfersApi* | [**users_id_user_accounts_id_account_transfers_get**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_get) | **GET** /users/{id_user}/accounts/{id_account}/transfers | Get transfers
*TransfersApi* | [**users_id_user_accounts_id_account_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/accounts/{id_account}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_accounts_id_account_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_id_transfer_post) | **POST** /users/{id_user}/accounts/{id_account}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_accounts_id_account_transfers_post**](docs/TransfersApi.md#users_id_user_accounts_id_account_transfers_post) | **POST** /users/{id_user}/accounts/{id_account}/transfers | Create a transfer object.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients | Returns the list of recipients.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient} | Continue addition of a recipient.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers | Get transfers
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/recipients/{id_recipient}/transfers | Create a transfer object.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers | Get transfers
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_accounts_id_account_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_accounts_id_account_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/transfers | Create a transfer object.
*TransfersApi* | [**users_id_user_connections_id_connection_recipients_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_get) | **GET** /users/{id_user}/connections/{id_connection}/recipients | Returns the list of recipients.
*TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient} | Continue addition of a recipient.
*TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers | Get transfers
*TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/recipients/{id_recipient}/transfers | Create a transfer object.
*TransfersApi* | [**users_id_user_connections_id_connection_transfers_get**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_get) | **GET** /users/{id_user}/connections/{id_connection}/transfers | Get transfers
*TransfersApi* | [**users_id_user_connections_id_connection_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/connections/{id_connection}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_id_transfer_post) | **POST** /users/{id_user}/connections/{id_connection}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_connections_id_connection_transfers_post**](docs/TransfersApi.md#users_id_user_connections_id_connection_transfers_post) | **POST** /users/{id_user}/connections/{id_connection}/transfers | Create a transfer object.
*TransfersApi* | [**users_id_user_recipients_get**](docs/TransfersApi.md#users_id_user_recipients_get) | **GET** /users/{id_user}/recipients | Returns the list of recipients.
*TransfersApi* | [**users_id_user_recipients_id_recipient_post**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_post) | **POST** /users/{id_user}/recipients/{id_recipient} | Continue addition of a recipient.
*TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_get**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_get) | **GET** /users/{id_user}/recipients/{id_recipient}/transfers | Get transfers
*TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/recipients/{id_recipient}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_id_transfer_post) | **POST** /users/{id_user}/recipients/{id_recipient}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_recipients_id_recipient_transfers_post**](docs/TransfersApi.md#users_id_user_recipients_id_recipient_transfers_post) | **POST** /users/{id_user}/recipients/{id_recipient}/transfers | Create a transfer object.
*TransfersApi* | [**users_id_user_transfers_get**](docs/TransfersApi.md#users_id_user_transfers_get) | **GET** /users/{id_user}/transfers | Get transfers
*TransfersApi* | [**users_id_user_transfers_id_transfer_delete**](docs/TransfersApi.md#users_id_user_transfers_id_transfer_delete) | **DELETE** /users/{id_user}/transfers/{id_transfer} | Cancel a transfer.
*TransfersApi* | [**users_id_user_transfers_id_transfer_post**](docs/TransfersApi.md#users_id_user_transfers_id_transfer_post) | **POST** /users/{id_user}/transfers/{id_transfer} | Execute or edit a Transfer.
*TransfersApi* | [**users_id_user_transfers_post**](docs/TransfersApi.md#users_id_user_transfers_post) | **POST** /users/{id_user}/transfers | Create a transfer object.
*UsersManagementApi* | [**hash_delete**](docs/UsersManagementApi.md#hash_delete) | **DELETE** /hash | Delete the user&#39;s connections
*UsersManagementApi* | [**users_get**](docs/UsersManagementApi.md#users_get) | **GET** /users | Get users
*UsersManagementApi* | [**users_id_user_config_delete**](docs/UsersManagementApi.md#users_id_user_config_delete) | **DELETE** /users/{id_user}/config | Delete the given user configurations. deletions on keys prefixed by &#39;biapi.&#39; (except callback_url) are ignored
*UsersManagementApi* | [**users_id_user_config_get**](docs/UsersManagementApi.md#users_id_user_config_get) | **GET** /users/{id_user}/config | Get configuration of a user.
*UsersManagementApi* | [**users_id_user_config_post**](docs/UsersManagementApi.md#users_id_user_config_post) | **POST** /users/{id_user}/config | Change configuration of a user. modifications on keys prefixed by &#39;biapi.&#39; (except callback_url) are ignored
*UsersManagementApi* | [**users_id_user_delete**](docs/UsersManagementApi.md#users_id_user_delete) | **DELETE** /users/{id_user} | Delete the user
*UsersManagementApi* | [**users_id_user_get**](docs/UsersManagementApi.md#users_id_user_get) | **GET** /users/{id_user} | Get a user
*UsersManagementApi* | [**users_id_user_profiles_get**](docs/UsersManagementApi.md#users_id_user_profiles_get) | **GET** /users/{id_user}/profiles | Get profiles
*UsersManagementApi* | [**users_id_user_profiles_id_profile_get**](docs/UsersManagementApi.md#users_id_user_profiles_id_profile_get) | **GET** /users/{id_user}/profiles/{id_profile} | Get a profile
*UsersManagementApi* | [**users_id_user_profiles_main_get**](docs/UsersManagementApi.md#users_id_user_profiles_main_get) | **GET** /users/{id_user}/profiles/main | Get the main profile
*UsersManagementApi* | [**users_id_user_profiles_me_get**](docs/UsersManagementApi.md#users_id_user_profiles_me_get) | **GET** /users/{id_user}/profiles/me | Get my profile
*UsersManagementApi* | [**users_id_user_token_post**](docs/UsersManagementApi.md#users_id_user_token_post) | **POST** /users/{id_user}/token | Create a token
*WealthApi* | [**finance_securities_get**](docs/WealthApi.md#finance_securities_get) | **GET** /finance/securities | Get securities
*WealthApi* | [**finance_securities_id_security_history_get**](docs/WealthApi.md#finance_securities_id_security_history_get) | **GET** /finance/securities/{id_security}/history | Get connection logs
*WealthApi* | [**users_id_user_accounts_id_account_investments_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_get) | **GET** /users/{id_user}/accounts/{id_account}/investments | Get investments
*WealthApi* | [**users_id_user_accounts_id_account_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_id_investment_history_get) | **GET** /users/{id_user}/accounts/{id_account}/investments/{id_investment}/history | Get investment values
*WealthApi* | [**users_id_user_accounts_id_account_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_id_investment_pockets_get) | **GET** /users/{id_user}/accounts/{id_account}/investments/{id_investment}/pockets | Get pockets
*WealthApi* | [**users_id_user_accounts_id_account_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_accounts_id_account_investments_id_investment_security_history_get) | **GET** /users/{id_user}/accounts/{id_account}/investments/{id_investment}/security/history | Get connection logs
*WealthApi* | [**users_id_user_accounts_id_account_pockets_get**](docs/WealthApi.md#users_id_user_accounts_id_account_pockets_get) | **GET** /users/{id_user}/accounts/{id_account}/pockets | Get pockets
*WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments | Get investments
*WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_history_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments/{id_investment}/history | Get investment values
*WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments/{id_investment}/pockets | Get pockets
*WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_investments_id_investment_security_history_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/investments/{id_investment}/security/history | Get connection logs
*WealthApi* | [**users_id_user_connections_id_connection_accounts_id_account_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_accounts_id_account_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/accounts/{id_account}/pockets | Get pockets
*WealthApi* | [**users_id_user_connections_id_connection_investments_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_get) | **GET** /users/{id_user}/connections/{id_connection}/investments | Get investments
*WealthApi* | [**users_id_user_connections_id_connection_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_id_investment_history_get) | **GET** /users/{id_user}/connections/{id_connection}/investments/{id_investment}/history | Get investment values
*WealthApi* | [**users_id_user_connections_id_connection_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_id_investment_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/investments/{id_investment}/pockets | Get pockets
*WealthApi* | [**users_id_user_connections_id_connection_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_connections_id_connection_investments_id_investment_security_history_get) | **GET** /users/{id_user}/connections/{id_connection}/investments/{id_investment}/security/history | Get connection logs
*WealthApi* | [**users_id_user_connections_id_connection_pockets_get**](docs/WealthApi.md#users_id_user_connections_id_connection_pockets_get) | **GET** /users/{id_user}/connections/{id_connection}/pockets | Get pockets
*WealthApi* | [**users_id_user_investments_get**](docs/WealthApi.md#users_id_user_investments_get) | **GET** /users/{id_user}/investments | Get investments
*WealthApi* | [**users_id_user_investments_id_investment_history_get**](docs/WealthApi.md#users_id_user_investments_id_investment_history_get) | **GET** /users/{id_user}/investments/{id_investment}/history | Get investment values
*WealthApi* | [**users_id_user_investments_id_investment_pockets_get**](docs/WealthApi.md#users_id_user_investments_id_investment_pockets_get) | **GET** /users/{id_user}/investments/{id_investment}/pockets | Get pockets
*WealthApi* | [**users_id_user_investments_id_investment_security_history_get**](docs/WealthApi.md#users_id_user_investments_id_investment_security_history_get) | **GET** /users/{id_user}/investments/{id_investment}/security/history | Get connection logs
*WealthApi* | [**users_id_user_pockets_get**](docs/WealthApi.md#users_id_user_pockets_get) | **GET** /users/{id_user}/pockets | Get pockets


## Documentation For Models

 - [Access](docs/Access.md)
 - [Account](docs/Account.md)
 - [AccountLog](docs/AccountLog.md)
 - [AccountType](docs/AccountType.md)
 - [AccountTypesList](docs/AccountTypesList.md)
 - [Alert](docs/Alert.md)
 - [AuthProvider](docs/AuthProvider.md)
 - [CategoriesList](docs/CategoriesList.md)
 - [Category](docs/Category.md)
 - [Certificate](docs/Certificate.md)
 - [Client](docs/Client.md)
 - [ConfigLog](docs/ConfigLog.md)
 - [Connection](docs/Connection.md)
 - [ConnectionLog](docs/ConnectionLog.md)
 - [ConnectionsList](docs/ConnectionsList.md)
 - [Connector](docs/Connector.md)
 - [ConnectorCategory](docs/ConnectorCategory.md)
 - [ConnectorLogo](docs/ConnectorLogo.md)
 - [ConnectorLogosList](docs/ConnectorLogosList.md)
 - [Currency](docs/Currency.md)
 - [Device](docs/Device.md)
 - [Document](docs/Document.md)
 - [DocumentType](docs/DocumentType.md)
 - [Field](docs/Field.md)
 - [File](docs/File.md)
 - [Group](docs/Group.md)
 - [HashTable](docs/HashTable.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse20010](docs/InlineResponse20010.md)
 - [InlineResponse20011](docs/InlineResponse20011.md)
 - [InlineResponse20013](docs/InlineResponse20013.md)
 - [InlineResponse20014](docs/InlineResponse20014.md)
 - [InlineResponse20015](docs/InlineResponse20015.md)
 - [InlineResponse20016](docs/InlineResponse20016.md)
 - [InlineResponse20017](docs/InlineResponse20017.md)
 - [InlineResponse20018](docs/InlineResponse20018.md)
 - [InlineResponse20019](docs/InlineResponse20019.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse20020](docs/InlineResponse20020.md)
 - [InlineResponse20021](docs/InlineResponse20021.md)
 - [InlineResponse20022](docs/InlineResponse20022.md)
 - [InlineResponse20023](docs/InlineResponse20023.md)
 - [InlineResponse20024](docs/InlineResponse20024.md)
 - [InlineResponse20025](docs/InlineResponse20025.md)
 - [InlineResponse20026](docs/InlineResponse20026.md)
 - [InlineResponse20027](docs/InlineResponse20027.md)
 - [InlineResponse20029](docs/InlineResponse20029.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse20031](docs/InlineResponse20031.md)
 - [InlineResponse20032](docs/InlineResponse20032.md)
 - [InlineResponse20033](docs/InlineResponse20033.md)
 - [InlineResponse20034](docs/InlineResponse20034.md)
 - [InlineResponse20035](docs/InlineResponse20035.md)
 - [InlineResponse20036](docs/InlineResponse20036.md)
 - [InlineResponse20037](docs/InlineResponse20037.md)
 - [InlineResponse20038](docs/InlineResponse20038.md)
 - [InlineResponse20039](docs/InlineResponse20039.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse20040](docs/InlineResponse20040.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse2009](docs/InlineResponse2009.md)
 - [Investment](docs/Investment.md)
 - [InvestmentValue](docs/InvestmentValue.md)
 - [Invite](docs/Invite.md)
 - [Keyword](docs/Keyword.md)
 - [LockedUser](docs/LockedUser.md)
 - [OidcWhitelist](docs/OidcWhitelist.md)
 - [Pocket](docs/Pocket.md)
 - [Profile](docs/Profile.md)
 - [Project](docs/Project.md)
 - [ProjectType](docs/ProjectType.md)
 - [Recipient](docs/Recipient.md)
 - [RecipientLog](docs/RecipientLog.md)
 - [Security](docs/Security.md)
 - [Subscription](docs/Subscription.md)
 - [TermsOfService](docs/TermsOfService.md)
 - [Transaction](docs/Transaction.md)
 - [TransactionInformation](docs/TransactionInformation.md)
 - [TransactionsCluster](docs/TransactionsCluster.md)
 - [Transfer](docs/Transfer.md)
 - [TransferLog](docs/TransferLog.md)
 - [User](docs/User.md)
 - [UserAlert](docs/UserAlert.md)
 - [UserAlertsList](docs/UserAlertsList.md)
 - [UserBalance](docs/UserBalance.md)
 - [UserBalanceCurrency](docs/UserBalanceCurrency.md)
 - [UserBalances](docs/UserBalances.md)
 - [Webhook](docs/Webhook.md)
 - [WebhookData](docs/WebhookData.md)
 - [WebhookLog](docs/WebhookLog.md)


## Documentation For Authorization


## Authorization

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header


## Author

rienafairefr@gmail.com


